<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a href="/dashboard"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a href="/message">Pesan</a> 
                </li>  
                <li class="breadcrumb-item">
                    <a href="#" class="not-active">List</a> 
                </li>  
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>List Pesan</h5>
            </div>
            <div class="card-block">

                <ng-container *ngFor="let row of dataMessage; let i = index;">
                    <div 
                        class="col-md-12 content-notification-1-{{row.is_read === false ? 'new' : 'read'}}" 
                        style="padding: 15px 20px; border-top: 1px solid #3498db;">
                        <a [routerLink]="['/message/detail', row.id]" style="color: #000">
                            <div class="row" *ngIf="row.type === 'broadcast'">
                                <div class="col-md-8">
                                    <h6><b>{{ row.judul }}</b></h6>
                                    <p style="margin-bottom: 0px;">
                                        Pesan dari <b>{{ row.pengirim.nama }}</b>.
                                    </p>
                                </div>
                                <div class="col-md-4 text-right">
                                    <span style="font-size: 10px;">
                                        {{ convert.formatDateIndoTglJam(row.created_at) }}
                                    </span>
                                </div>
                            </div>
                        </a>
                    </div>
                </ng-container>

            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
